summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSimon Rettberg2019-02-15 17:10:59 +0100
committerSimon Rettberg2019-02-15 17:10:59 +0100
commit3d9628ebb7f1b279628aac3a0c34ada427a887f4 (patch)
tree2e68c3d0919a091ed2bc624b2411933896776497
parent[SSPS] Add LimitNOFILE to DNBD3 service file (diff)
downloadsetup-scripts-3d9628ebb7f1b279628aac3a0c34ada427a887f4.tar.gz
setup-scripts-3d9628ebb7f1b279628aac3a0c34ada427a887f4.tar.xz
setup-scripts-3d9628ebb7f1b279628aac3a0c34ada427a887f4.zip
[SSUS] Suppress warnings, install cmake
-rw-r--r--satellit_upgrader/updater.template.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/satellit_upgrader/updater.template.sh b/satellit_upgrader/updater.template.sh
index 4928e6f..4d70f2b 100644
--- a/satellit_upgrader/updater.template.sh
+++ b/satellit_upgrader/updater.template.sh
@@ -122,7 +122,7 @@ failprint () {
aptupdate=false
aptinst () {
local pkg=$1
- if ! dpkg -l "$pkg" | grep -q "^ii\\s.*$pkg"; then
+ if ! dpkg -l "$pkg" 2> /dev/null | grep -q "^ii\\s.*$pkg"; then
if ! $aptupdate; then
echo "Updating apt db"
failprint apt-get update || perror "Cannot run apt-get update"
@@ -521,7 +521,7 @@ fi
# ************* replace atftpd with tftpd-hpa **************
chg=false
-if which "atftpd" &>/dev/null || dpkg-query -W -f='${db:Status-Abbrev}' "atftpd" | grep -q '^ii' \
+if which "atftpd" &>/dev/null || dpkg-query -W -f='${db:Status-Abbrev}' "atftpd" 2> /dev/null | grep -q '^ii' \
|| ! which "in.tftpd" &>/dev/null; then
if diffcp "tftpd/tftpd-hpa" "/etc/default/tftpd-hpa"; then
echo "Replacing atftpd with tftpd-hpa"
@@ -591,6 +591,7 @@ if [ -n "$TGZ_DNBD3" ]; then
if [ "$cver" != "$nver" ]; then
aptinst libjansson-dev
aptinst libfuse-dev
+ aptinst cmake
echo "Compiling new dnbd3-server binary..."
cd "$tmpdir"
mkdir build